// -*- Mode: Go; indent-tabs-mode: t -*-

/*
 * Copyright (C) 2015 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package cloud

import "launchpad.net/snappy-tests-job/utils"

// Clouder is the interface for all the cloud clients
type Clouder interface {
	CreateInstance(release, channel string) (ip string, err error)
	KillInstance() error
}

// NewCloudClient is the factory for the cloud clients of type "provider"
func NewCloudClient(provider, flavor string, util utils.Utilizer) Clouder {

	return NewCanonistackClient(flavor, util)
}
